net.sf.jasperreports.engine

## Interface JRParagraph

- All Superinterfaces:
    JRStyleContainer
  All Known Implementing Classes:
    CachingParagraph, JRBaseParagraph

      public interface JRParagraph
      extends JRStyleContainer

  Version:
    $Id: JRParagraph.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_FIRST_LINE_INDENT` Specifies the default value (in pixels) for the first line indent, if no explicit information is provided in a JR paragraph.
    `static java.lang.String` | `DEFAULT_LEFT_INDENT` Specifies the default value (in pixels) for the left indent, if no explicit information is provided in a JR paragraph.
    `static java.lang.String` | `DEFAULT_LINE_SPACING_SIZE` Specifies the default value for the text line spacing size, if no explicit information is provided in a JR paragraph.
    `static java.lang.String` | `DEFAULT_RIGHT_INDENT` Specifies the default value (in pixels) for the right indent, if no explicit information is provided in a JR paragraph.
    `static java.lang.String` | `DEFAULT_SPACING_AFTER` Specifies the default value (in pixels) for the spacing after lines, if no explicit information is provided in a JR paragraph.
    `static java.lang.String` | `DEFAULT_SPACING_BEFORE` Specifies the default value (in pixels) for the spacing before lines, if no explicit information is provided in a JR paragraph.
    `static java.lang.String` | `DEFAULT_TAB_STOP_WIDTH` Specifies the default value (in pixels) for the tab stop width, if no explicit information is provided in a paragraph.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTabStop(int index, TabStop tabStop)`
    `void` | `addTabStop(TabStop tabStop)`
    `JRParagraph` | `clone(JRParagraphContainer paragraphContainer)`
    `java.lang.Integer` | `getFirstLineIndent()` Gets the text first line indent.
    `java.lang.Integer` | `getLeftIndent()` Gets the text left indent.
    `LineSpacingEnum` | `getLineSpacing()` Gets the text line spacing.
    `java.lang.Float` | `getLineSpacingSize()` Gets the text line spacing size to be used in combination with the line spacing type.
    `java.lang.Integer` | `getOwnFirstLineIndent()` Gets the text own first line indent.
    `java.lang.Integer` | `getOwnLeftIndent()` Gets the text own left indent.
    `LineSpacingEnum` | `getOwnLineSpacing()` Gets the text own line spacing.
    `java.lang.Float` | `getOwnLineSpacingSize()` Gets the text own line spacing size to be used in combination with the line spacing type.
    `java.lang.Integer` | `getOwnRightIndent()` Gets the text own right indent.
    `java.lang.Integer` | `getOwnSpacingAfter()` Gets the text own spacing after.
    `java.lang.Integer` | `getOwnSpacingBefore()` Gets the text own spacing before.
    `TabStop[]` | `getOwnTabStops()` Gets the custom tab stops.
    `java.lang.Integer` | `getOwnTabStopWidth()` Gets the text own tab stop width.
    `java.lang.Integer` | `getRightIndent()` Gets the text right indent.
    `java.lang.Integer` | `getSpacingAfter()` Gets the text spacing after.
    `java.lang.Integer` | `getSpacingBefore()` Gets the text spacing before.
    `TabStop[]` | `getTabStops()` Gets the custom tab stops.
    `java.lang.Integer` | `getTabStopWidth()` Gets the text tab stop width.
    `void` | `removeTabStop(int index)`
    `void` | `removeTabStop(TabStop tabStop)`
    `void` | `setFirstLineIndent(java.lang.Integer firstLineIndent)` Sets the text own first line indent.
    `void` | `setLeftIndent(java.lang.Integer leftIndent)` Sets the text own left indent.
    `void` | `setLineSpacing(LineSpacingEnum lineSpacing)` Sets the text line spacing.
    `void` | `setLineSpacingSize(java.lang.Float lineSpacingSize)` Sets the text line spacing size to be used in combination with the line spacing type.
    `void` | `setRightIndent(java.lang.Integer rightIndent)` Sets the text own right indent.
    `void` | `setSpacingAfter(java.lang.Integer spacingAfter)` Sets the text own spacing after.
    `void` | `setSpacingBefore(java.lang.Integer spacingBefore)` Sets the text own spacing before.
    `void` | `setTabStopWidth(java.lang.Integer tabStopWidth)` Sets the text own tab stop width.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### DEFAULT_LINE_SPACING_SIZE

          static final java.lang.String DEFAULT_LINE_SPACING_SIZE

      Specifies the default value for the text line spacing size, if no explicit information is provided in a JR paragraph. This value is used in combination with the size-dependent line spacings in `LineSpacingEnum`:
      - AT_LEAST
      - FIXED
      - PROPORTIONAL
      See Also:
        `AbstractTextRenderer.getLineHeight(boolean, JRParagraph, float, float)`, Constant Field Values

    - #### DEFAULT_FIRST_LINE_INDENT

          static final java.lang.String DEFAULT_FIRST_LINE_INDENT

      Specifies the default value (in pixels) for the first line indent, if no explicit information is provided in a JR paragraph.
      By default the first line in JR paragraphs has no indentation.
      See Also:
        Constant Field Values

    - #### DEFAULT_LEFT_INDENT

          static final java.lang.String DEFAULT_LEFT_INDENT

      Specifies the default value (in pixels) for the left indent, if no explicit information is provided in a JR paragraph.
      By default JR paragraphs provide no left indentation.
      See Also:
        Constant Field Values

    - #### DEFAULT_RIGHT_INDENT

          static final java.lang.String DEFAULT_RIGHT_INDENT

      Specifies the default value (in pixels) for the right indent, if no explicit information is provided in a JR paragraph.
      By default JR paragraphs provide no right indentation.
      See Also:
        Constant Field Values

    - #### DEFAULT_SPACING_BEFORE

          static final java.lang.String DEFAULT_SPACING_BEFORE

      Specifies the default value (in pixels) for the spacing before lines, if no explicit information is provided in a JR paragraph.
      By default JR paragraphs provide no spacing before lines.
      See Also:
        Constant Field Values

    - #### DEFAULT_SPACING_AFTER

          static final java.lang.String DEFAULT_SPACING_AFTER

      Specifies the default value (in pixels) for the spacing after lines, if no explicit information is provided in a JR paragraph.
      By default JR paragraphs provide no spacing after lines.
      See Also:
        Constant Field Values

    - #### DEFAULT_TAB_STOP_WIDTH

          static final java.lang.String DEFAULT_TAB_STOP_WIDTH

      Specifies the default value (in pixels) for the tab stop width, if no explicit information is provided in a paragraph.
      By default JR paragraphs provide 40 pixels wide tab stops.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### clone

          JRParagraph clone(JRParagraphContainer paragraphContainer)

    - #### getLineSpacing

          LineSpacingEnum getLineSpacing()

      Gets the text line spacing.
      Returns:
        a value representing one of the line spacing constants in `LineSpacingEnum`

    - #### getOwnLineSpacing

          LineSpacingEnum getOwnLineSpacing()

      Gets the text own line spacing.
      Returns:
        a value representing one of the line spacing constants in `LineSpacingEnum`

    - #### setLineSpacing

          void setLineSpacing(LineSpacingEnum lineSpacing)

      Sets the text line spacing.
      Parameters:
        `lineSpacing` - a value representing one of the line spacing constants in `LineSpacingEnum`

    - #### getLineSpacingSize

          java.lang.Float getLineSpacingSize()

      Gets the text line spacing size to be used in combination with the line spacing type.

    - #### getOwnLineSpacingSize

          java.lang.Float getOwnLineSpacingSize()

      Gets the text own line spacing size to be used in combination with the line spacing type.

    - #### setLineSpacingSize

          void setLineSpacingSize(java.lang.Float lineSpacingSize)

      Sets the text line spacing size to be used in combination with the line spacing type.

    - #### getLeftIndent

          java.lang.Integer getLeftIndent()

      Gets the text left indent.

    - #### getOwnLeftIndent

          java.lang.Integer getOwnLeftIndent()

      Gets the text own left indent.

    - #### setLeftIndent

          void setLeftIndent(java.lang.Integer leftIndent)

      Sets the text own left indent.

    - #### getFirstLineIndent

          java.lang.Integer getFirstLineIndent()

      Gets the text first line indent.

    - #### getOwnFirstLineIndent

          java.lang.Integer getOwnFirstLineIndent()

      Gets the text own first line indent.

    - #### setFirstLineIndent

          void setFirstLineIndent(java.lang.Integer firstLineIndent)

      Sets the text own first line indent.

    - #### getRightIndent

          java.lang.Integer getRightIndent()

      Gets the text right indent.

    - #### getOwnRightIndent

          java.lang.Integer getOwnRightIndent()

      Gets the text own right indent.

    - #### setRightIndent

          void setRightIndent(java.lang.Integer rightIndent)

      Sets the text own right indent.

    - #### getSpacingBefore

          java.lang.Integer getSpacingBefore()

      Gets the text spacing before.

    - #### getOwnSpacingBefore

          java.lang.Integer getOwnSpacingBefore()

      Gets the text own spacing before.

    - #### setSpacingBefore

          void setSpacingBefore(java.lang.Integer spacingBefore)

      Sets the text own spacing before.

    - #### getSpacingAfter

          java.lang.Integer getSpacingAfter()

      Gets the text spacing after.

    - #### getOwnSpacingAfter

          java.lang.Integer getOwnSpacingAfter()

      Gets the text own spacing after.

    - #### setSpacingAfter

          void setSpacingAfter(java.lang.Integer spacingAfter)

      Sets the text own spacing after.

    - #### getTabStopWidth

          java.lang.Integer getTabStopWidth()

      Gets the text tab stop width.

    - #### getOwnTabStopWidth

          java.lang.Integer getOwnTabStopWidth()

      Gets the text own tab stop width.

    - #### setTabStopWidth

          void setTabStopWidth(java.lang.Integer tabStopWidth)

      Sets the text own tab stop width.

    - #### getTabStops

          TabStop[] getTabStops()

      Gets the custom tab stops.

    - #### getOwnTabStops

          TabStop[] getOwnTabStops()

      Gets the custom tab stops.

    - #### addTabStop

          void addTabStop(TabStop tabStop)

    - #### addTabStop

          void addTabStop(int index,
                        TabStop tabStop)

    - #### removeTabStop

          void removeTabStop(int index)

    - #### removeTabStop

          void removeTabStop(TabStop tabStop)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com